<?php

function verifyLogin(string $username, string $passwordAttempt){
	$expectedHash = dbGetPasswordHash($username);
	return password_verify($passwordAttempt, $expectedHash);
}

function logout() {
	$_SESSION["loggedIn"] = false;
	session_destroy();
}

function login(string $username) {
	$_SESSION["username"] = $username;
	$_SESSION["userId"] = dbGetUserId($username);
	$_SESSION["loggedIn"] = true;
}

function getUsername() {
	if(!isLoggedIn()) return "";
	return htmlspecialchars($_SESSION["username"], ENT_QUOTES);
}

function isLoggedIn() {
	if(isset($_SESSION["loggedIn"])){
		return $_SESSION["loggedIn"];
	}
	else {
		return false;
	}
}

function requireLogin() {
	if(!isLoggedIn()) {
		redirect("/login.php");
	}
}

?>